## CG Техпроцесс подсборок деталей в 3д-ассеты
### Для статичных подсборок с жестко закрепленными деталями.
```mermaid
graph TD;
    id1(Механизм *.STEP)-->id2(Механизм *.FCStd);
    id2(Механизм *.FCStd)-->id3(Подсборка *.blend);
    id2(Механизм *.FCStd)-->id6(Генератор подсборок);
    id3(Подсборка *.blend)-->id4(Рендер сцена *.blend);
    id3(Подсборка *.blend)-->id5(Подсборка *.SDF);
    id6(Генератор подсборок)-->id7(Состав и позиция деталей подсборки);
    id7(Состав и позиция деталей подсборки)-->id8(Описание подсборки *.SDF);
    id8(Описание подсборки *.SDF)-->id3(Подсборка *.blend);
    id4(Рендер сцена *.blend)-->id9(Dataset *.jpg);
    id10(Генератор окружений)-->id4(Рендер сцена *.blend);
```

### Для динамичных подсборок с шарнирами.
```mermaid
graph TD;
    id1(Механизм *.STEP)-->id2(Механизм *.FCStd);
    id2(Механизм *.FCStd)-->id3((Инженер));
    id3((Инженер))-->id4(Состав деталей подсборки);
    id4(Состав деталей подсборки)-->id5(Объединение неподвижных деталей воедино);
    id5(Объединение неподвижных деталей воедино)-->id6(Задание позиции и степени свободы шарниров);
    id6(Задание позиции и степени свободы шарниров)-->id7(Подсборка *.FCStd);
    id6(Задание позиции и степени свободы шарниров)-->id8(Описание подсборки *.SDF);
    id7(Подсборка *.FCStd)-->id9(Подсборка *.blend)
    id8(Описание подсборки *.SDF)-->id9(Подсборка *.blend)
    id9(Подсборка *.blend)-->id10(Рендер сцена *.blend);
    id9(Подсборка *.blend)-->id11(Подсборка *.SDF);
    id10(Рендер сцена *.blend)-->id12(Dataset *.jpg);
    id13(Генератор окружений)-->id10(Рендер сцена *.blend);
```
